ReadableObjectId.Referring
Date: 2016-12-04

com.fasterxml.jackson.databind.deser.impl

## Class ReadableObjectId.Referring

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ReadableObjectId.Referring

- Direct Known Subclasses:
    ObjectIdReferenceProperty.PropertyReferring
  Enclosing class:
    ReadableObjectId

      public abstract static class ReadableObjectId.Referring
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadableObjectId.Referring(UnresolvedForwardReference ref, java.lang.Class<?> beanType)`
    `ReadableObjectId.Referring(UnresolvedForwardReference ref, JavaType beanType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getBeanType()`
    `com.fasterxml.jackson.core.JsonLocation` | `getLocation()`
    `abstract void` | `handleResolvedForwardReference(java.lang.Object id, java.lang.Object value)`
    `boolean` | `hasId(java.lang.Object id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadableObjectId.Referring

          public ReadableObjectId.Referring(UnresolvedForwardReference ref,
                                    java.lang.Class<?> beanType)

    - #### ReadableObjectId.Referring

          public ReadableObjectId.Referring(UnresolvedForwardReference ref,
                                    JavaType beanType)

  - ### Method Detail

    - #### getLocation

          public com.fasterxml.jackson.core.JsonLocation getLocation()

    - #### getBeanType

          public java.lang.Class<?> getBeanType()

    - #### handleResolvedForwardReference

          public abstract void handleResolvedForwardReference(java.lang.Object id,
                                            java.lang.Object value)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### hasId

          public boolean hasId(java.lang.Object id)